/*
// Created by Lucile on 04/04/2021.
*/

/*!
 * \file window.h
 * \brief Window Header File
 * \authors Lucile
 * \version 2
 * \date 04/04/2021
 *
 * Window structure definiton.
 *
 */

#ifndef INSAGAME_WINDOW_H
#define INSAGAME_WINDOW_H

/*!
 * \enum Window_number
 * \brief Definiton of every window's number
 */

typedef enum {
    INTRO_PAGE, /*!< 0 */
    LEVEL, /*!< 1 */
    WIN_PAGE, /*!< 2 */
    FAIL_PAGE /*!< 3 */
} Window_number;


/*!
 * \struct Window
 * \brief Window structure
 */

typedef struct {
    int level; /**< Level integer */
    int time; /**< Level's time */
    Window_number id_window; /**< Window's number */
} Window;


void init_window(Window * window, int level, int time, int id_window);

#endif /*INSAGAME_WINDOW_H*/
